ubuntu下编译php扩展的时候报缺少pcre解决办法

刚刚在编译php扩展yaf的时候,老是报缺少pcre

缺少就装上呗。

当然是想通过apt-get这个命令解决问题了,不过搜索了网络,只找到了CentOS的yum命令:

yum update

yum install pcre-devel

依葫芦画瓢,把yum直接改成apt-get,不过apt-get install pcre-devel这步出错了,找不到包,仔细搜索了网络才知道,原来Debian系下(ubuntu源自Debain)不叫这个名字,正确的命令如下:

apt-get update

apt-get install libpcre3 libpcre3-dev

搞定 

引用通告地址: 点击获取引用地址
标签: ubuntu php
评论: 11 | 引用: 0 | 阅读: 18743
更多




ronald [ 2020-12-26 11:28 网址 | 回复 | 编辑 删除 ]
karina [ 2020-11-29 11:40 网址 | 回复 | 编辑 删除 ]
frank [ 2020-11-28 07:01 网址 | 回复 | 编辑 删除 ]
ernest [ 2020-07-15 20:01 网址 | 回复 | 编辑 删除 ]
wilma [ 2020-07-05 11:18 网址 | 回复 | 编辑 删除 ]
ronald [ 2020-06-05 23:39 网址 | 回复 | 编辑 删除 ]
ernestine [ 2020-05-02 18:31 网址 | 回复 | 编辑 删除 ]
ronald [ 2020-04-17 06:17 网址 | 回复 | 编辑 删除 ]
frank [ 2020-03-10 17:10 网址 | 回复 | 编辑 删除 ]
marianne [ 2020-02-15 12:53 网址 | 回复 | 编辑 删除 ]
发表评论
昵 称: 密 码:
网 址: 邮 箱:
验证码: 验证码图片 选 项:
头 像:
内 容:
  • 粗体
  • 斜体
  • 下划线
  • 插入图像
  • 超链接
  • 电子邮件
  • 插入引用